@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800&family=Nunito:wght@200;300;400;500;600;700;800&family=Roboto:wght@100;300;400;500;700&display=swap');

:root{
    --main-color:#969696;
    --box-shadom:0 .5rem 1.5rem rgba(0,0,0,.2);
    --blue:#969696;
    --black:#333;
    --black1:#000;
    --white:#fff;
    --light-color:#666;
    --light-colo1:#f5f5f5;
    --border:.2rem solid var(--black);
    --light-bg:rgba(255,255,255,.1);
    --light-black:rgba(0,0,0,.3);
    --black2:rgba(0,0,0,.7);
}

*{
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    text-decoration: none;
    
}
*::selection{
    background-color: var(--blue);
    color: var(--white);
}
::-webkit-scrollbar{
    height: .5rem;
    width: 1rem;
}
::-webkit-scrollbar-track{
    background-color: transparent;
}
::-webkit-scrollbar-thumb{
    background-color: var(--main-color1);
    border-radius: .5rem;
}
html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 15.5rem;
}
section{
    padding: 3rem 2rem;
    max-width: 1200px;
    margin: 0 auto;
}
body{
    overflow: hidden;
}

.btn{
    display: inline-block;
    margin-top: 4rem;
    background-color: var(--blue);
    cursor: pointer;
    color: var(--white);
    font-size: 1.8rem;
    padding: 1rem 3rem;
}
.btn:hover{
    background-color: var(--white);
    color: var(--blue);
    border: 1px solid var(--blue);
}
#menu-btn{
    display: none;
    font-size:2.5rem ;
    color: var(--black);
    cursor: pointer;
}
.header{
    position: fixed;
    top: 0; left: 0; right: 0;
    background:var(--main-color);
    z-index: 1000;
    transition: background-color 0.4s ease-in-out ;
    
}
.header.scrolled{
    background-color: var(--main-color);
    opacity: 0.98;
}
.header .flex{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    padding: .5rem 2rem;
    border-bottom:2px solid var(--light-colo1) ;
   

}
.header .flex .inicio{
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 1.5rem;
    color: var(--light-colo1);
}

.header .flex .logo img{
    width: 30rem;
}
.header  .icons a{
    color: var(--white);
    margin-left: 2rem;
    font-size: 2rem;
    cursor: pointer;

}
.header  .navbar {
    display: flex;
    justify-content: center;
}
.header  .navbar a{
    color: var(--white);
    padding: 1rem;
    font-size: 2rem;
    cursor: pointer;
    
}
.header.scrolled .icons a{
    color: white;
}


.header .flex .icons a:hover{
    text-decoration: underline;
    color: var(--black);
}

.header  .navbar i:hover{
    color: var(--black);
}
.entrega-container{
    position: fixed;
    top: 86%; left: 93%; 
    cursor: pointer;
    z-index: 10000;
    display: flex;
    align-items: center;
    justify-content: center;
}
.entrega-container img{
    width: 7rem;
}
.servicos{
    margin-top: 18rem;
}

.servicos .box-container .box{
    border: var(--border);
    padding: 3rem 2rem;
    border-radius: 2rem;
    box-shadow: var(--box-shadom);
    margin-bottom: 3.3rem;
    border: .1rem solid rgba(0, 0, 0, .2);
}

.servicos .box-container .box p{
    font-size: 1.7rem;
    line-height: 1.8;
    color: var(--light-color);
    padding: 2rem 0;
}
.servicos .box-container .box .head{
   display: flex;
  align-items: center;
}
.servicos .box-container .box h3{
   margin-left: 1rem;
}
.servicos .box-container .box img{
    height: 7rem;
    width: 7rem;
}

.servicos .box-container .box h3{
    padding: 1rem 0;
    font-size: 2.2rem;
    color: var(--blue);
}
.servicos .box-container .box .shevron{
    display: block;
    color: var(--light-color);
    font-size: 1.5rem;
    padding: .5rem;
}
.servicos .box-container .box i{
    color: var(--blue);
    font-size: 1rem;
    padding-right: .5rem;
}

.footer{
    background-color: var(--light-colo1);
    margin-top: 8rem;
}
.footer .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(20rem,1fr));
    gap: 2rem;
}
.footer .box-container .box h3{
    font-size:2.2rem ;
    color: var(--black);
    padding: 1rem 2rem;
}
.footer .box-container .box .link{
    display: block;
    color: var(--black);
    font-size: 1.5rem;
    padding: 1rem 2rem;
}
.footer .box-container .box .link i{
    color: var(--blue);
    padding-right: .5rem;
}
.footer .box-container .box a:hover{
    color: var(--blue);
}
.footer .box-container .box .email{
    width: 90%;
    padding: 1.2rem  1.4rem;
    border: var(--border);
    color: var(--white);
    margin: 1rem 0;
    text-transform: none;
    background: none;
    font-size: 1.5rem;

}
.footer .box-container .share{
    margin-top: 1.5rem;
    
}
.footer .box-container .share a{
    height: 4.5rem;
    width: 4.5rem;
    line-height: 4.5rem;
    font-size: 2rem;
    text-align: center;
    background-color: var(--blue);
    color: var(--white);
    margin-left: 1.7rem;
    border-radius: 50%;
}
.footer .box-container .share a:hover{
    background-color: var(--light-colo1);
    color: var(--blue);
}
.footer .credit{
    text-align: center;
    font-size:1.7rem ;
    color: var(--black);
    padding:3rem 0 ;
    border-top: var(--border);
}

.footer .credit span{
    color: var(--blue);
}



























@media (max-width:991px){

    html{
        font-size: 55%;
    }
    .entrega-container{
        position: fixed;
        top: 85%; left: 92%; 
        cursor: pointer;
        z-index: 10000;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .entrega-container img{
        width: 7rem;
    }
}
@media (max-width:769px){
  
    .heading h3{
        font-size:3rem;
        color: var(--blue);
        margin-bottom: .5rem;
    }
    .heading p {
        font-size:1.2rem;
    }

    #menu-btn{
        display: inline-block;
        transition: .2s linear;
    }

    #icons{
        display: none;
    }

    #menu-btn.fa-times{
        transform: rotate(180deg);
    }

    .header  .navbar{
        display: block;
        position: absolute;
        top: 99%;left: 0; right: 0;
        background-color: var(--black);
        border-top: var(--border);
        border-bottom: var(--border);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
        transition: .2s linear;
       
    }
    .header .flex .logo img{
        width: 20rem;
    }
    .header .navbar.active{
        clip-path: polygon(0 0,100% 0,100% 100%,0% 100%);
    }
    .header  .navbar a{
        display: flex;
        margin: 2rem;
    }
    .header .flex .inicio .content h3{
        font-size:2rem;
    }
    .header .flex .inicio .content span{
        font-size:1rem;
    }  
    .servicos .box-container .box img{
        height: 5.5rem;
        width: 5.5rem;
    }
    
    .servicos .box-container .box h3{
        padding: 1rem 0;
        margin-left: 1rem;
        font-size: 1.8rem;
        color: var(--blue);
    }
    .servicos .box-container .box p{
        font-size: 1.5rem;
        line-height: 1.5;
        color: var(--light-color);
        padding: 2rem 0;
    } 
    .servicos{
        margin-top: 10rem;
    }
    .entrega-container{
        position: fixed;
        top: 85%; left: 88%; 
    }
    .entrega-container img{
       width: 9rem;
    }
    .about .content h3{
        font-size: 2.5rem;
    }
   
    .footer .box-container .box .link{
        font-size: 1.2rem;
    }
    .footer .box-container .share a{ 
        font-size: 1.5rem;   
    }
    
    


}

@media (max-width:450px){
    
    html{
        font-size: 50%;
    }
    .entrega-container{
        position: fixed;
        top: 89%; left: 84%; 
        cursor: pointer;
        z-index: 10000;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .entrega-container img{
       width: 7rem;
    }
    
}
